Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 4030

Summary: Ethernet drivers on IP masq machine buggy
Product: [Retired] Red Hat Linux Reporter: baileydl
Component: kernelAssignee: Cristian Gafton <gafton>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: 6.0CC: baileydl, davem
Target Milestone: ---   
Target Release: ---   
Hardware: sparc   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description baileydl 1999-07-14 13:43:44 UTC
Upgraded Sparc20 IP masq box to 6.0 and now using ipchains.

Sun Sparc20 continuously reports that "eth1: receive buffer
too small, driver bug" when attempting to push data thru it
from the other machines it is masqing for, sometime eth0
too.  Ftp uploads, etc seem to cause this.

Problem did not exist when machine was running 5.1 and
ipfwadm instead of 6.0, the 2.2 kernel, and the new
ipchains.  I'm assuming this is an ipchains or kernel
problem?

Can not move files, email, you name it, through this box
now.  Annoying as all get out.

Quad ethernet as well as happy meal nics on Sparc20.

Comment 1 Jeff Johnson 1999-08-23 20:29:59 UTC
This  smells like a kernel problem. Does the problem persist in
the latest kernel-2.2.11-4 kernel from Raw Hide?

Comment 2 baileydl 1999-08-24 13:20:59 UTC
Tried kernels all the way up to 2.2.10 and then replaced the Sparc 20
with an RH 6 Intel box and three 3com cards.  ;)  May play with it on
the side...